Skip to main content
`Ctrl`+`K`
scipy.interpolate.CubicHermiteSpline.

# derivative

CubicHermiteSpline.derivative(nu=1)

  Construct a new piecewise polynomial representing the derivative.

  Parameters:
    nu int, optional

      Order of derivative to evaluate. Default is 1, i.e., compute the first derivative. If negative, the antiderivative is returned.

  Returns:
    pp PPoly

      Piecewise polynomial of order k2 = k - n representing the derivative of this polynomial.

  Notes

  Derivatives are evaluated piecewise for each polynomial segment, even if the polynomial is not differentiable at the breakpoints. The polynomial intervals are considered half-open, `[a, b)`, except for the last interval which is closed `[a, b]`.